cacheadm(1)

NAME
cacheadm - administer and configure AtFS derived object cache

SYNOPSIS
cacheadm [-Amax_cached_per_cacheattr] [-Nmax_cached_per_name] [-Tmax_total_cached] [-q] [-v] directories

DESCRIPTION
cacheadm provides control over the size of a derived object cache. You may set the maximum total number (T) of derived files to be stored, the maximum number of derived files per name (N) and the maximum number of derived files with the same name and the same caching attribute (A). Called without any options, cacheadm returns the actual sizes of the derived object caches in the named dirctories. An empty list of directories causes cacheadm to operate on the current directory.

The relationship of the three cache size values must always be T >= N >= A. The caching attribute mechanism is described on the af_cache(3) manual page. When calculating your caching sizes you should keep in mind that you may set the total size (T) to any value but your cache will never grow bigger than N*number_of_names. Number_of_names is the number of source object histories in your directories, where derived objects may be compiled from. If you set T to an astronomic value, the cache adapt it's size to the number of source histories automatically.

In the current implementation, the caching sizes can only be increased. Reduction of the maximum cache size is only possible when the cache is empty. Hence you have to clean your cache (atfsrepair -C (1)) first if you want to shrink its size.

OPTIONS

-A max_cached_per_cacheattr
    Set the maximum number of derived files with the same name and the same caching attribute to be stored. Default is 1.

-N max_cached_per_name
    Set the maximum number of derived files with the same name to be stored. Default is 3.

-T max_total_cached
    Set the total maximum number of derived files to be stored in the derived object cache. Default is 64. -q Quiet operation. Suppresses any output to stdout. This option does not affect error messages (stderr).

-v  Output version identification string.

SEE ALSO
chgrp(1), chmod(1), atfsrepair(1), af_cache(3)

AUTHOR
Andreas.Lampen@cs.tu-berlin.de